Skip to main content
Compute Management/Host Related Interfaces
PUTHost Related InterfacesSince 0.6SynchronousAuth Required

Reconnect Host

Reconnect Host

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    Resource UUID, uniquely identifies the resource

Body Fields

  • systemTagsList

    System tag

  • userTagsList

    User tag

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/hosts/{uuid}/actions

/zstack/v1/hosts/{uuid}/actions

Operation ID

ReconnectHost

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/hosts/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history